Showing results for 
Search instead for 
Do you mean 
Community Home Request Access Read Blogs Share Your Ideas Search Community View My Settings
Reply
Highlighted
Avid Listener
Posts: 5
Registered: ‎11-18-2009

Application Architect Error when loading

[ Edited ]

Hi

I have just upgraded SLX from 7.5.1 to 7.5.4, All network applications work fine, the only problem I have is Application Architect give me the following error after it has finished logging on:-

An application exception has occurred.

-- Could not load exported type data for assembly 'Sage.Platform, Version=7.5.4.7048, Culture=neutral, PublicKeyToken=null' and type 'Sage.Platform.SData.SyncRequestHandlerBase`3'. (ActiproSoftware.SyntaxEditor.Addons.DotNet.Net20)

-- Could not load type 'Sage.Common.Syndication.DigestFeedEntry' from assembly 'Sage.Common.Syndication, Version=1.0.0.0, Culture=neutral, PublicKeyToken=c59b718b5ca510a8'. (mscorlib)

 

The machine is a server 2003 RC2  with SP2. SLX application architect was working fine prior to installing 7.5.4 as far as I know, but I have not done any changes slx updates for the web for a while, as I just expected to deploy the default 7.5.4 web bundle as there are no customisations. I have deleted the all the files from the users output folder but still get the error.

If I install Application architect on my XP machine It loads without any problems connecting to the same database. So I think it must be machine specific, has anyone come across this problem before?

I suppose I could just use my machine instead of the server to build and deploy the websites.

 

Thanks for any help with this.

 

The full error is

===================================

An application exception has occurred.

===================================

Could not load exported type data for assembly 'Sage.Platform, Version=7.5.4.7048, Culture=neutral, PublicKeyToken=null' and type 'Sage.Platform.SData.SyncRequestHandlerBase`3'. (ActiproSoftware.SyntaxEditor.Addons.DotNet.Net20)

------------------------------
Program Location:

   at k..ctor(Assembly A_0, String A_1, String A_2, String A_3, Boolean A_4)
   at ActiproSoftware.SyntaxEditor.Addons.DotNet.Dom.AssemblyCodeRepository.a.a(c A_0)
   at ActiproSoftware.SyntaxEditor.Addons.DotNet.Dom.AssemblyCodeRepository.a.a(c A_0)
   at ActiproSoftware.SyntaxEditor.Addons.DotNet.Dom.AssemblyCodeRepository.Add(String assemblyName, DotNetProjectResolver projectResolver)
   at ActiproSoftware.SyntaxEditor.Addons.DotNet.Dom.DotNetProjectResolver.AddExternalReference(String assemblyName)
   at Sage.Platform.IDEModule.CodeEditorAssemblyReferences.AddExternalReference(String assemblyPath)

===================================

Could not load type 'Sage.Common.Syndication.DigestFeedEntry' from assembly 'Sage.Common.Syndication, Version=1.0.0.0, Culture=neutral, PublicKeyToken=c59b718b5ca510a8'. (mscorlib)

------------------------------
Program Location:

   at System.Signature._GetSignature(SignatureStruct& signature, Void* pCorSig, Int32 cCorSig, IntPtr fieldHandle, IntPtr methodHandle, IntPtr declaringTypeHandle)
   at System.Signature.GetSignature(SignatureStruct& signature, Void* pCorSig, Int32 cCorSig, RuntimeFieldHandle fieldHandle, RuntimeMethodHandle methodHandle, RuntimeTypeHandle declaringTypeHandle)
   at System.Signature..ctor(RuntimeMethodHandle methodHandle, RuntimeTypeHandle declaringTypeHandle)
   at System.Reflection.RuntimeMethodInfo.get_Signature()
   at System.Reflection.RuntimeMethodInfo.get_ReturnType()
   at al..ctor(k A_0, IDomType A_1, MemberInfo A_2)
   at m..ctor(k A_0, IDomType A_1, MemberInfo A_2)
   at o..ctor(k A_0, IDomType A_1, MemberInfo A_2)
   at ai..ctor(k A_0, Type A_1)
   at k..ctor(Assembly A_0, String A_1, String A_2, String A_3, Boolean A_4)

 

Chris Bunyan

 

 

Highlighted
Nickel Elite Contributor
Posts: 107
Registered: ‎03-09-2011

Re: Application Architect Error when loading

Make sure .net framework 3.5 is installed and updated with all patches.

 

If that doesn't work

unistall/reinstall

 

It is windows.

Highlighted
Avid Listener
Posts: 5
Registered: ‎11-18-2009

Re: Application Architect Error when loading

.Net 3.5 SP1 is installed as well as .Net 2.0 SP2 , .Net 3.0 SP2 and .Net 4.0 Client Profile, so I may need to remove them and then install them again. I will let you know if it works OK.

 

Chris